const char *json_api_repr_http_static = "{\n    \"types\": [],\n    \"messages\": [\n        [\n            \"http_static_enable\",\n            [\n                \"u16\",\n                \"_vl_msg_id\"\n            ],\n            [\n                \"u32\",\n                \"client_index\"\n            ],\n            [\n                \"u32\",\n                \"context\"\n            ],\n            [\n                \"u32\",\n                \"fifo_size\"\n            ],\n            [\n                \"u32\",\n                \"cache_size_limit\"\n            ],\n            [\n                \"u32\",\n                \"prealloc_fifos\"\n            ],\n            [\n                \"u32\",\n                \"private_segment_size\"\n            ],\n            [\n                \"string\",\n                \"www_root\",\n                256\n            ],\n            [\n                \"string\",\n                \"uri\",\n                256\n            ],\n            {\n                \"crc\": \"0x075f8292\",\n                \"options\": {\n                    \"deprecated\": null\n                },\n                \"comment\": \"/** \\\\brief Configure and enable the static http server\\n    @param client_index - opaque cookie to identify the sender\\n    @param context - sender context, to match reply w/ request\\n    @param fifo_size - size (in bytes) of the session FIFOs\\n    @param cache_size_limit - size (in bytes) of the in-memory file data cache\\n    @param prealloc_fifos - number of preallocated fifos (usually 0)\\n    @param private_segment_size - fifo segment size (usually 0)\\n    @param www_root - html root path\\n    @param uri - bind URI, defaults to \\\"tcp://0.0.0.0/80\\\"\\n*/\"\n            }\n        ],\n        [\n            \"http_static_enable_reply\",\n            [\n                \"u16\",\n                \"_vl_msg_id\"\n            ],\n            [\n                \"u32\",\n                \"context\"\n            ],\n            [\n                \"i32\",\n                \"retval\"\n            ],\n            {\n                \"crc\": \"0xe8d4e804\",\n                \"options\": {\n                    \"deprecated\": null\n                }\n            }\n        ],\n        [\n            \"http_static_enable_v2\",\n            [\n                \"u16\",\n                \"_vl_msg_id\"\n            ],\n            [\n                \"u32\",\n                \"client_index\"\n            ],\n            [\n                \"u32\",\n                \"context\"\n            ],\n            [\n                \"u32\",\n                \"fifo_size\"\n            ],\n            [\n                \"u32\",\n                \"cache_size_limit\"\n            ],\n            [\n                \"u32\",\n                \"max_age\",\n                {\n                    \"default\": 600\n                }\n            ],\n            [\n                \"u32\",\n                \"prealloc_fifos\"\n            ],\n            [\n                \"u32\",\n                \"private_segment_size\"\n            ],\n            [\n                \"string\",\n                \"www_root\",\n                256\n            ],\n            [\n                \"string\",\n                \"uri\",\n                256\n            ],\n            {\n                \"crc\": \"0x3ee5f1f6\",\n                \"options\": {},\n                \"comment\": \"/** \\\\brief Configure and enable the static http server\\n    @param client_index - opaque cookie to identify the sender\\n    @param context - sender context, to match reply w/ request\\n    @param fifo_size - size (in bytes) of the session FIFOs\\n    @param cache_size_limit - size (in bytes) of the in-memory file data cache\\n    @param max_age - how long a response is considered fresh (in seconds)\\n    @param prealloc_fifos - number of preallocated fifos (usually 0)\\n    @param private_segment_size - fifo segment size (usually 0)\\n    @param www_root - html root path\\n    @param uri - bind URI, defaults to \\\"tcp://0.0.0.0/80\\\"\\n*/\"\n            }\n        ],\n        [\n            \"http_static_enable_v2_reply\",\n            [\n                \"u16\",\n                \"_vl_msg_id\"\n            ],\n            [\n                \"u32\",\n                \"context\"\n            ],\n            [\n                \"i32\",\n                \"retval\"\n            ],\n            {\n                \"crc\": \"0xe8d4e804\",\n                \"options\": {}\n            }\n        ]\n    ],\n    \"unions\": [],\n    \"enums\": [],\n    \"enumflags\": [],\n    \"services\": {\n        \"http_static_enable\": {\n            \"reply\": \"http_static_enable_reply\"\n        },\n        \"http_static_enable_v2\": {\n            \"reply\": \"http_static_enable_v2_reply\"\n        }\n    },\n    \"options\": {\n        \"version\": \"2.2.0\"\n    },\n    \"aliases\": {},\n    \"vl_api_version\": \"0x42dd9fb5\",\n    \"imports\": [],\n    \"counters\": [],\n    \"paths\": []\n}";
